@echo off
rem #!/bin/bash
rem #
rem #   easyIstrEnv.bat
rem #
rem #
rem #       19/05/01    新規作成
rem #       21/03/01    %PYTHONPATH%の定義方法を修正
rem #       22/04/18    LogFileを追加
rem #          11/18    PYTHONPATHにopenFoamを追加
rem #


rem #環境変数の設定
set easyIstrPath=%CD%
set HOME=C:\DEXCS
set easyIstrUserPath=%HOME%\easyIstrUser
set binApp=%easyIstrPath%\bin
set pythonApp=%easyIstrPath%\python

rem python3.exeへのpathを定義
rem   GTK3, pyGObject, VTKがインストールされている事が必要
rem set pythonGtkVtk=C:\msys64\mingw64\bin
set pythonGtkVtk=%easyIstrPath%\..\Python-3.10.5_withGiVtk\bin

rem pathの設定
set PATH=%pythonGtkVtk%;%PATH%

set PYTHONPATH=%pythonGtkVtk%
set PYTHONPATH=%easyIstrPath%\bin;%easyIstrPath%\python
set PYTHONPATH=%easyIstrPath%\openFoam;%PYTHONPATH%

set LOCALE_DIR=%easyIstrPath%\locale\locale_linuxWin

rem logFileの設定
set LogFile=%easyIstrUserPath%\logFile


